<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\Anmeldung\HandleValidateAjaxFunktionen;

class HandleValidateAjaxFunktionenController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleValidateAjaxFunktionenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new HandleValidateAjaxFunktionenRequest();
    $requestObj->toValidate = \RequestOperations::getVarValue('toValidate');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new HandleValidateAjaxFunktionenPresenter($pUseCaseResponse);
  }
}